Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_SSLIOP_ReceivedCredentials Class Reference

SSLIOP-specific implementation of the SecurityLevel2::ReceivedCredentials interface. More...

`#include <SSLIOP_ReceivedCredentials.h>`

Inheritance diagram for TAO_SSLIOP_ReceivedCredentials:

[legend]
Collaboration diagram for TAO_SSLIOP_ReceivedCredentials:

[legend]
List of all members.

## [NOHEADER]
typedef TAO_SSLIOP_ReceivedCredentials_ptr | _ptr_type
TAO_SSLIOP_ReceivedCredentials_ptr | _duplicate (TAO_SSLIOP_ReceivedCredentials_ptr obj)
TAO_SSLIOP_ReceivedCredentials_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
TAO_SSLIOP_ReceivedCredentials_ptr | _nil (void)
int | _tao_class_id = 0
## Public Methods
| TAO_SSLIOP_ReceivedCredentials (X509 *cert, EVP_PKEY *evp)
| Constructor.
SecurityLevel2::Credentials Methods
SecurityLevel2::Credentials methods implemented for SecurityLevel2::ReceivedCredentials.
virtual SecurityLevel2::Credentials_ptr | copy (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual Security::InvocationCredentialsType | credentials_type (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
| Return the invocation credentials type this object is.
SecurityLevel2::ReceivedCredentials Methods
Methods required by the SecurityLevel2::ReceivedCredentials interface.
virtual SecurityLevel2::Credentials_ptr | accepting_credentials (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual Security::AssociationOptions | association_options_used (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual Security::DelegationState | delegation_state (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual Security::DelegationMode | delegation_mode (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)

## Detailed Description

SSLIOP-specific implementation of the SecurityLevel2::ReceivedCredentials interface.

An SSLIOP "received credential" encapsulates the peers X.509 certificate.

## Member Typedef Documentation

typedef TAO_SSLIOP_ReceivedCredentials_ptr TAO_SSLIOP_ReceivedCredentials::_ptr_type

| Reimplemented from TAO_SSLIOP_Credentials.

## Constructor & Destructor Documentation

TAO_SSLIOP_ReceivedCredentials::TAO_SSLIOP_ReceivedCredentials | ( | X509 * | cert,
|  | EVP_PKEY * | evp
| ) |

| Constructor.

## Member Function Documentation

TAO_SSLIOP_ReceivedCredentials_ptr TAO_SSLIOP_ReceivedCredentials::_duplicate | ( | TAO_SSLIOP_ReceivedCredentials_ptr | obj | ) | `[static]`

TAO_SSLIOP_ReceivedCredentials_ptr TAO_SSLIOP_ReceivedCredentials::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from TAO_SSLIOP_Credentials.

TAO_SSLIOP_ReceivedCredentials_ptr TAO_SSLIOP_ReceivedCredentials::_nil | ( | void |  | ) | `[inline, static]`

| Reimplemented from TAO_SSLIOP_Credentials.

SecurityLevel2::Credentials_ptr TAO_SSLIOP_ReceivedCredentials::accepting_credentials | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

Security::AssociationOptions TAO_SSLIOP_ReceivedCredentials::association_options_used | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

SecurityLevel2::Credentials_ptr TAO_SSLIOP_ReceivedCredentials::copy | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| Return a duplicate (specifically a deep copy) of this credential object. Reimplemented from TAO_SSLIOP_Credentials.

Security::InvocationCredentialsType TAO_SSLIOP_ReceivedCredentials::credentials_type | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| Return the invocation credentials type this object is. If this Credentials object was created by the PrincipalAuthenticator then the "own" credentials type (i.e. Security::SecOwnCredentials) is returned. Specifically, the credentials represented by this Credentials object are our own, not the peer's credentials. If this Credentials object corresponds to the credentials received from the peer, then the "received" credentials type (i.e. Security::SecReceivedCredentials) is returned. If this Credentials object corresponds to the target object's credentials then the "target" credentials type (i.e. Security::SecTargetCredentials) is returned. Reimplemented from TAO_SSLIOP_Credentials.

Security::DelegationMode TAO_SSLIOP_ReceivedCredentials::delegation_mode | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

Security::DelegationState TAO_SSLIOP_ReceivedCredentials::delegation_state | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

## Member Data Documentation

int TAO_SSLIOP_ReceivedCredentials::_tao_class_id = 0`[static]`

| Reimplemented from TAO_SSLIOP_Credentials.

The documentation for this class was generated from the following files:

- SSLIOP_ReceivedCredentials.h
- SSLIOP_ReceivedCredentials.cpp